<table class="cui-table-hover cui-table-striped" aria-label="Selectable Rows Table Demo">
  <thead>
  <tr>
    <th scope="col" class="cui-shrink cui-align-middle">
      <cui-checkbox
        ariaLabel="Toggle Select all Rows Checkbox"
        [indeterminate]="isIndeterminate"
        (change)="selectAll($event)"
        [(ngModel)]="selectAllValue"></cui-checkbox>
    </th>
    <th scope="col">Name</th>
    <th scope="col">URL</th>
    <th scope="col">Web App</th>
    <th scope="col">Coyo App</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let row of homepages; trackBy: rowById" [class.cui-selected]="selection[row.id]">
    <td class="cui-shrink cui-align-middle">
      <cui-checkbox
        ariaLabel="Toggle Select Row Checkbox"
        [(ngModel)]="selection[row.id]" (ngModelChange)="selectionChanged($event)"></cui-checkbox>
    </td>
    <td>{{row.name}}</td>
    <td><a href="#">{{row.url}}</a></td>
    <td>
      <cui-badge [mode]="row.webApp ? 'primary' : 'ghost'">{{ row.webApp ? 'ACTIVE' : 'INACTIVE'}}</cui-badge>
    </td>
    <td>
      <cui-badge [mode]="row.coyoApp ? 'primary' : 'ghost'">{{ row.coyoApp ? 'ACTIVE' : 'INACTIVE'}}</cui-badge>
    </td>
  </tr>
  </tbody>
</table>
